org.eclipse.jface.fieldassist

## Interface IContentProposalProvider

All Known Implementing Classes:
  FindReplaceDocumentAdapterContentProposalProvider, SimpleContentProposalProvider

    public interface IContentProposalProvider

IContentProposalProvider provides an array of IContentProposals that are appropriate for a textual dialog field, given the field's current content and the current cursor position.

Since:
  3.2
See Also:
  `SimpleContentProposalProvider`

### Method Summary

All Methods Instance Methods Abstract Methods
`IContentProposal[]` `getProposals(String contents, int position)` Return an array of content proposals representing the valid proposals for a field.

### Method Detail

#### getProposals

    IContentProposal[] getProposals(String contents,
                                    int position)

Return an array of content proposals representing the valid proposals for a field.

Parameters:
  `contents` - the current contents of the text field
  `position` - the current position of the cursor in the contents
Returns:
  the array of `IContentProposal` that represent valid proposals for the field.